Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface ISpecializationTypeDescriptor

All Superinterfaces:
  IElementTypeDescriptor

    public interface ISpecializationTypeDescriptor

extends IElementTypeDescriptor

Descriptor for a specialization element type that has been defined in XML using the `elementTypes` extension point.

Method Summary
`IContainerDescriptor` `getContainerDescriptor()` Gets the container descriptor.
`IEditHelperAdvice` `getEditHelperAdvice()` Gets my edit helper advice.
`IElementMatcher` `getMatcher()` Gets the element matcher.
`IElementType[]` `getSpecializedTypes()` Gets the element types that this type specializes.

Methods inherited from interface org.eclipse.gmf.runtime.emf.type.core.IElementTypeDescriptor
`getIconURL, getId, getKindName, getName, getParamValue`

Method Detail

### getContainerDescriptor

    IContainerDescriptor getContainerDescriptor()

  Gets the container descriptor.

  Returns:
    the container descriptor

### getSpecializedTypes

    IElementType[] getSpecializedTypes()

  Gets the element types that this type specializes.

  Returns:
    an array of types that are specialized by this type.

### getMatcher

    IElementMatcher getMatcher()

  Gets the element matcher. May cause the plugin defining the element matcher class to be loaded.

  Returns:
    the element matcher.

### getEditHelperAdvice

    IEditHelperAdvice getEditHelperAdvice()

  Gets my edit helper advice. The advice can return 'before' or 'after' editing commands for editing elements of the types that I specialize.

  May cause the plugin defining the edit helper advice class to be loaded.

  Returns:
    the edit helper advice.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.